import express from "express";
import { ensureLoggedIn } from "connect-ensure-login";

import { sendResponse } from "../../../libs/format";
import { searchSong, getAlbumDetails } from "../../../helpers";

// eslint-disable-next-line new-cap
const router = express.Router();

router.route("/").get(ensureLoggedIn("/connexion"), async (req, res, next) => {
    try {
        const data = await searchSong(
            req.query.q,
            req.query.format || null,
            req.query.year || null,
            req.query.country || null
        );

        sendResponse(req, res, data);
    } catch (err) {
        next(err);
    }
});

router
    .route("/:discogsId")
    .get(ensureLoggedIn("/connexion"), async (req, res, next) => {
        try {
            const data = await getAlbumDetails(req.params.discogsId);

            sendResponse(req, res, data);
        } catch (err) {
            next(err);
        }
    });

export default router;
