import express from "express";
import passport from "passport";

import Jobs from "../middleware/Jobs";

// eslint-disable-next-line new-cap
const router = express.Router();

router.route("/").get(
    passport.authenticate(["jobs"], {
        session: false,
    }),
    async (req, res, next) => {
        try {
            const job = new Jobs();
            const data = await job.run(req.query.state);

            return res.status(200).json(data).end();
        } catch (err) {
            return next(err);
        }
    }
);

router.route("/populate").get(
    passport.authenticate(["jobs"], {
        session: false,
    }),
    async (req, res, next) => {
        try {
            const data = await Jobs.populate();

            return res.status(200).json(data).end();
        } catch (err) {
            return next(err);
        }
    }
);

export default router;
